classification
Title: r74463 causes failures in test_xmlrpc
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: BreamoreBoy, brett.cannon, gregory.p.smith, r.david.murray
Priority: high Keywords:

Created on 2009-08-18 12:49 by r.david.murray, last changed 2010-08-16 20:59 by r.david.murray. This issue is now closed.

Messages (5)
msg91685 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-08-18 12:49
The title says it all.
msg91712 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-08-18 19:48
David, care to just revert r74463? If it breaks tests should be reverted 
until it can be fixed by whomever made the commit.
msg91723 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2009-08-19 05:19
hmm apparently the bug i was fixing in r74463 is not actually a bug, the 
httplib module does not support streaming requests in any way so even with 
a new socket buffer being constructed per request, the buffer is 
guaranteed to be empty at the end of completed request.

I'll undo the change and/or fix it to only close the connection if there 
was left over received data in the buffer after the response is finished.
msg91724 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2009-08-19 05:34
reverted in r74522
msg114052 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-16 16:17
Does this still need a patch or can it be closed?
History
Date User Action Args
2010-08-16 20:59:31r.david.murraysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2010-08-16 16:17:14BreamoreBoysetnosy: + BreamoreBoy
messages: + msg114052
2009-08-19 05:34:21gregory.p.smithsetmessages: + msg91724
2009-08-19 05:19:02gregory.p.smithsetmessages: + msg91723
2009-08-18 19:48:29brett.cannonsetnosy: + brett.cannon
messages: + msg91712
2009-08-18 12:49:43r.david.murraycreate